libplist-devel-1.12-11.1.x86_64.rpm


Advertisement

Description

libplist-devel - Library for handling Apple Binary and XML Property Lists -- Development Files

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name libplist-devel
Package version 1.12
Package release 11.1
Package architecture x86_64
Package type rpm
Installed size 20.59 KB
Download size 17.78 KB
Official Mirror widehat.opensuse.org
libplist is a library for handling Apple Binary and XML Property Lists.
This package contains the development files for C.

Alternatives

Package Version Architecture Repository
libplist-devel-1.12-9.1.x86_64.rpm 1.12 x86_64 openSUSE Oss
libplist-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libplist = 1.12
pkgconfig(libxml-2.0) >= 2.7.8

Provides

Name Value
libplist-devel = 1.12-11.1
libplist-devel(x86-64) = 1.12-11.1
pkgconfig(libplist) = 1.12

Download

Type URL
Binary Package libplist-devel-1.12-11.1.x86_64.rpm
Source Package libplist-1.12-11.1.src.rpm

Install Howto

Install libplist-devel rpm package:

# zypper install libplist-devel

Files

Path
/usr/include/plist/plist.h
/usr/lib64/libplist.so
/usr/lib64/pkgconfig/libplist.pc

Changelog

2017-07-25 - mgorse@suse.com
- Add libplist-boo1029707-base64-invalid-read.patch: prevent
undefined shift when parsing invalid base64 encoded data
(boo#1029707 CVE-2017-6437).
2017-05-03 - mgorse@suse.com
- Add libplist-boo1035312-overflow-fixes.patch: add some safety
checks, backported from upstream (boo#1035312 CVE-2017-7982).
- Add libplist-boo1029631-32bit.patch: ensure that sanity checks
work on 32-bit platforms, and fix data range checks (boo#1029631
boo#1029638 boo#1029706 boo#1029751 CVE-2017-6440 CVE-2017-6439
CVE-2017-6438 CVE-2017-6436).

See Also

Package Description
libplist3-1.12-11.1.x86_64.rpm Library for handling Apple Binary and XML Property Lists
libplist3-32bit-1.12-11.1.x86_64.rpm Library for handling Apple Binary and XML Property Lists
libply-boot-client4-0.9.2-7.3.1.x86_64.rpm Plymouth core library
libply-splash-core4-0.9.2-7.3.1.x86_64.rpm Plymouth core library
libply-splash-graphics4-0.9.2-7.3.1.x86_64.rpm Plymouth graphics libraries
libply4-0.9.2-7.3.1.x86_64.rpm Plymouth core library
libpolkit0-0.113-14.3.1.x86_64.rpm PolicyKit Authorization Framework -- Libraries
libpolkit0-32bit-0.113-14.3.1.x86_64.rpm PolicyKit Authorization Framework -- Libraries
libpoppler-cpp0-0.43.0-5.1.x86_64.rpm PDF Rendering Library
libpoppler-cpp0-0.43.0-8.1.x86_64.rpm PDF Rendering Library
libpoppler-cpp0-32bit-0.43.0-5.1.x86_64.rpm PDF Rendering Library
libpoppler-cpp0-32bit-0.43.0-8.1.x86_64.rpm PDF Rendering Library
libpoppler-devel-0.43.0-5.1.x86_64.rpm PDF rendering library
libpoppler-devel-0.43.0-8.1.x86_64.rpm PDF rendering library
libpoppler-glib-devel-0.43.0-5.1.x86_64.rpm PDF rendering library - GLib Wrapper
Advertisement
Advertisement